#version 330 core

layout (location = 0) in vec2 in_position;
layout (location = 1) in vec3 value;
layout (location = 2) in vec4 coord;

out vec4 near_coord;

uniform vec2 dpi;

void main() {
    near_coord = coord;

    vec2 cart = forward(in_position);

    gl_Position = cart;
}